<!DOCTYPE html>
<html ng-app="app" class="ng-scope">

<head>
   <meta charset="utf-8">
   <meta http-equiv="X-UA-Compatible" content="IE=edge">
   <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

   <title>Strona główna</title>

   <script src="node_modules/jquery/dist/jquery.min.js"></script>
</head>
    
<body class="ng-scope" ng-controller="Ctrl as ctrl">

	<h3>Websockets example</h3>
	<small>{{ ctrl.session }}</small>
	<hr/>
	
	<button ng-click="ctrl.get()">get</button>
	<button ng-click="ctrl.clear()">clear</button>
	<input type="text" ng-model="ctrl.data"/>
	<button ng-click="ctrl.send()" ng-disabled="ctrl.data==''">send</button>
	
	<div ng-repeat="message in ctrl.messages" >
		{{ $index }} --- {{ message }}
    </div>

	<script src="node_modules/angular/angular.min.js"></script>
	<script src="node_modules/angular-cookies/angular-cookies.min.js"></script>
	<script src="node_modules/angular-ws/angular-ws.min.js"></script>
	
	<script src="js/app.js"></script>
		
</body></html>